Page MenuHomeFreeBSD

efifb,vbefb: implement vd_fini
ClosedPublic

Authored by greg_unrelenting.technology on Mar 2 2021, 9:00 PM.

Details

Summary

This removes the pmap entry when switching away to e.g. drm fb.


Not strictly necessary to remove the mapping — avoiding conflicts (https://github.com/freebsd/drm-kmod/issues/60) is about avoiding *touching* the memory — but it's still nice to clean up.

Diff Detail

Repository
R10 FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

You want to add the same to vbefb.

This revision is now accepted and ready to land.Mar 3 2021, 7:16 AM
greg_unrelenting.technology retitled this revision from efifb: implement vd_fini to efifb,vbefb: implement vd_fini.
greg_unrelenting.technology edited the summary of this revision. (Show Details)

Added vbefb (not tested)

This revision now requires review to proceed.Mar 9 2021, 12:35 PM
This revision is now accepted and ready to land.Mar 9 2021, 12:38 PM

@tsoome will you commit?

I planned to do it last weekend but this was delayed for this week. I'll probably do that tomorow.

In D29020#655703, @manu wrote:

@tsoome will you commit?

I planned to do it last weekend but this was delayed for this week. I'll probably do that tomorow.

ACK.

pstef added inline comments.
sys/dev/vt/hw/efifb/efifb.c
153

style nit: double space

sys/dev/vt/hw/vbefb/vbefb.c
159

style nit: double space

This revision was automatically updated to reflect the committed changes.